import { EventEmitter } from '@angular/core';
import { AlToastButtonDescriptor, AlToastMessage } from '../al-toast/types/al-toast.types';
import * as i0 from "@angular/core";
export declare class AlToastService {
    private alToastButtonEmitters;
    private alToastShowEmitters;
    private alToastCloseEmitters;
    getButtonEmitter(key: string): EventEmitter<AlToastButtonDescriptor>;
    getShowEmitter(key: string): EventEmitter<AlToastMessage>;
    getCloseEmitter(key: string): EventEmitter<void>;
    showMessage: (key: string, alToastMessage?: AlToastMessage) => void;
    clearMessages: (key: string) => void;
    emitButtonClicked(key: string, buttonClicked: AlToastButtonDescriptor): void;
    cleanEmitters(key: string): void;
    static ɵfac: i0.ɵɵFactoryDef<AlToastService, never>;
    static ɵprov: i0.ɵɵInjectableDef<AlToastService>;
}
